//P2C Generated Platform.h file
#ifndef _PLATFORM_H_
#define _PLATFORM_H_

enum { _clkfreq = 300000000};

#include "propeller2.h"
#include "stdio.h"
#include "stdlib.h"
#include "stdint.h"
#include "stdbool.h"

#include "i2c.h"  //I2C driver for P2
#include "Cam.h"  //Digital Video Port (DVP) camera driver for P2

#define USE_SD  //Files using P2 Eval's uSD card
//#define USE_HOST  //Files using Plan9 on local host


//Pick one of these board configs or add your own
#define P2Eval //P2 Eval to IDC adapter for Newhaven displays
//#define Board1  //RJA's board has uSD on different pins

//P2 Eval board with Ray's Original IDC adapter
#ifdef P2Eval
//The Eval Board's uSD pins
#define uSD_MISO  58 
#define uSD_MOSI  59 
#define uSD_SS  60 
#define uSD_CLK  61
#endif //P2Eval

//RJA's P2 Board1 with EVE2 display
#ifdef Board1
#define uSD_MISO  44 
#define uSD_MOSI  46 
#define uSD_SS  47 
#define uSD_CLK  45
#endif

#define DVP1_Type OV2640 //OV5640//OV2640 //OV5640
//For Eval Adapters
#define DVP1_Basepin (32)
#define DVP1_Xclk (DVP1_Basepin+8+7)
#define DVP1_PixelClock  (DVP1_Basepin + 8 + 6) //video clock MISO pin
#define DVP1_PixelClockFreq (20000000)//(20000000)
#define DVP1_RST  (DVP1_Basepin + 8 + 5) //digital video reset pin
#define DVP1_SDA  (DVP1_Basepin + 8 + 0)   //digital video SDA pin
#define DVP1_SCL  (DVP1_Basepin + 8 + 1)   //digital video SCL pin
#define DVP1_VSYNC  (DVP1_Basepin + 8 + 4)  //VSYNC pin
#define DVP1_HSYNC  (DVP1_Basepin + 8 + 3)  //HREF pin
#define DVP1_PWDN = (DVP1_Basepin + 8 + 2)  //Power Down
//I2C Bus Pins and Settings for I2CScan1
#define I2C1_SCLPIN (DVP1_Basepin + 8 + 1) //I2C1_SCLPIN (56)
#define I2C1_SDAPIN (DVP1_Basepin + 8 + 0) //I2C1_SDAPIN (57)
#define I2C1_SPEED 400
#define I2C1_PULLUP PU_3K3

////For Robot board
//#define DVP1_Basepin (24)
//#define DVP1_Xclk (DVP1_Basepin+8+5)
//#define DVP1_PixelClock  (DVP1_Basepin + 8 + 4) //video clock MISO pin
//#define DVP1_PixelClockFreq (20000000)
//#define DVP1_RST  (DVP1_Basepin + 8 + 3) //digital video reset pin
//#define DVP1_SDA  (57)   //digital video SDA pin
//#define DVP1_SCL  (56)   //digital video SCL pin
//#define DVP1_VSYNC  (DVP1_Basepin + 8 + 2)  //VSYNC pin
//#define DVP1_HSYNC  (DVP1_Basepin + 8 + 0)  //HREF pin
//#define DVP1_PWDN = (DVP1_Basepin + 8 + 1)  //Power Down
////I2C Bus Pins and Settings for I2CScan1
//#define I2C1_SCLPIN (56) //I2C1_SCLPIN (56)
//#define I2C1_SDAPIN (57) //I2C1_SDAPIN (57)
//#define I2C1_SPEED 400
//#define I2C1_PULLUP PU_3K3







#endif /*_PLATFORM_H_*/
/* Nothing beyond this*/

